## NMIP6Config NMIP6Config |

## Functions

GObject * | nm_ip6_config_new ()
const GSList * | nm_ip6_config_get_addresses ()
const GSList * | nm_ip6_config_get_nameservers ()
const GPtrArray * | nm_ip6_config_get_domains ()
const GSList * | nm_ip6_config_get_routes ()

## Properties

NMIP6AddressObjectArray * | addresses | Read
NMStringArray * | domains | Read
NMIP6AddressArray * | nameservers | Read
NMIP6RouteObjectArray * | routes | Read

## Types and Values

#define | NM_IP6_CONFIG_ADDRESSES
#define | NM_IP6_CONFIG_NAMESERVERS
#define | NM_IP6_CONFIG_DOMAINS
#define | NM_IP6_CONFIG_ROUTES

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMIP6Config

## Description

## Functions

### nm_ip6_config_new ()

    GObject *
    nm_ip6_config_new (DBusGConnection *connection,
                       const char *object_path);

Creates a new NMIP6Config.

#### Parameters

connection | the DBusGConnection |
object_path | the DBus object path of the device |

#### Returns

a new IP6 configuration.

[transfer full]

### nm_ip6_config_get_addresses ()

    const GSList *
    nm_ip6_config_get_addresses (NMIP6Config *config);

Gets the IP6 addresses (containing the address, prefix, and gateway).

#### Parameters

config | a NMIP6Config |

#### Returns

the GSList containing NMIP6Addresses. This is the internal copy used by the configuration and must not be modified.

[element-type NetworkManager.IP6Address]

### nm_ip6_config_get_nameservers ()

    const GSList *
    nm_ip6_config_get_nameservers (NMIP6Config *config);

Gets the domain name servers (DNS).

#### Parameters

config | a NMIP6Config |

#### Returns

a GSList containing elements of type 'struct in6_addr' which contain the addresses of nameservers of the configuration. This is the internal copy used by the configuration and must not be modified.

### nm_ip6_config_get_domains ()

    const GPtrArray *
    nm_ip6_config_get_domains (NMIP6Config *config);

Gets the domain names.

#### Parameters

config | a NMIP6Config |

#### Returns

the GPtrArray containing domains as strings. This is the internal copy used by the configuration, and must not be modified.

[element-type utf8]

### nm_ip6_config_get_routes ()

    const GSList *
    nm_ip6_config_get_routes (NMIP6Config *config);

Gets the routes.

#### Parameters

config | a NMIP6Config |

#### Returns

the GSList containing NMIP6Routes. This is the internal copy used by the configuration, and must not be modified.

[element-type NetworkManager.IP6Route]

## Types and Values

### NM_IP6_CONFIG_ADDRESSES

    #define NM_IP6_CONFIG_ADDRESSES "addresses"

### NM_IP6_CONFIG_NAMESERVERS

    #define NM_IP6_CONFIG_NAMESERVERS "nameservers"

### NM_IP6_CONFIG_DOMAINS

    #define NM_IP6_CONFIG_DOMAINS "domains"

### NM_IP6_CONFIG_ROUTES

    #define NM_IP6_CONFIG_ROUTES "routes"

## Property Details

### The `“addresses”` property

      “addresses”                NMIP6AddressObjectArray *

Addresses.

Flags: Read

### The `“domains”` property

      “domains”                  NMStringArray *

Domains.

Flags: Read

### The `“nameservers”` property

      “nameservers”              NMIP6AddressArray *

Nameservers.

Flags: Read

### The `“routes”` property

      “routes”                   NMIP6RouteObjectArray *

Routes.

Flags: Read